CLEUSB=Cle8G

COMMON_EXCLUDE=--exclude "__pycache__" --exclude "venv/" --exclude ".git" --exclude ".gitignore"  --exclude ".*"

VENV="enseignements"

install:
	git config core.hooksPath ./tools/git/hooks/
	python -m venv ~/.venv/$(VENV)
	( \
		. ~/.venv/$(VENV)/bin/activate;\
		pip install -r requirements.txt;\
		)

update:
	( \
		. ~/.venv/$(VENV)/bin/activate;\
		pip install --ignore-installed -r requirements.txt
		)

clean:
	git clean -idx -e venv/ -e video/

rsync_cleUSB: clean
	#rsync --progress --modify-window=1 --update --recursive --times --del ./ $(GIT_EXCLUDE) /run/media/lafrite/K1
	rsync -av --del --exclude "venv" ./ $(COMMON_EXCLUDE) /run/media/lafrite/$(CLEUSB)/Enseignements
	rsync -av ../../Divers/ /run/media/lafrite/$(CLEUSB)/Divers
	rsync -av ../../Production\ eleves/ /run/media/lafrite/$(CLEUSB)/Productions/

	# rsync -av /run/media/lafrite/$(CLEUSB)/Productions/$(YEAR) ../../Production\ eleves/

.PHONY: 
